aboutsummaryrefslogtreecommitdiffstats
path: root/resources/tools/presentation/run_cpta.sh
diff options
context:
space:
mode:
authorTibor Frank <tifrank@cisco.com>2018-03-29 10:48:42 +0200
committerTibor Frank <tifrank@cisco.com>2018-03-29 08:51:50 +0000
commitc3bea67791a2512c2c8262f7bbfdc303d2b1edbc (patch)
treea16ce601674e18e7e5fdf2b5db01ee3930716f73 /resources/tools/presentation/run_cpta.sh
parent9cdc4269a77ad90f1726c47b139d1dba9c20fdda (diff)
PAL Trending
Change-Id: I6dae970203415dcb6d90217656d4f052350e52df Signed-off-by: Tibor Frank <tifrank@cisco.com> (cherry picked from commit c2b4ace3d023b2b58319feaeb942014586fcac11)
Diffstat (limited to 'resources/tools/presentation/run_cpta.sh')
-rwxr-xr-xresources/tools/presentation/run_cpta.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/resources/tools/presentation/run_cpta.sh b/resources/tools/presentation/run_cpta.sh
new file mode 100755
index 0000000000..954f17d53c
--- /dev/null
+++ b/resources/tools/presentation/run_cpta.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+set -x
+
+# set default values in config array
+typeset -A DIR
+
+DIR[WORKING]=_tmp
+
+# Install system dependencies
+sudo apt-get -y update
+sudo apt-get -y install libxml2 libxml2-dev libxslt-dev build-essential \
+ zlib1g-dev unzip
+
+# Create working directories
+mkdir ${DIR[WORKING]}
+
+# Create virtual environment
+virtualenv ${DIR[WORKING]}/env
+. ${DIR[WORKING]}/env/bin/activate
+
+# Install python dependencies:
+pip install -r requirements.txt
+
+export PYTHONPATH=`pwd`
+
+STATUS=$(python pal.py \
+ --specification specification_CPTA.yaml \
+ --logging INFO \
+ --force)
+RETURN_STATUS=$?
+
+echo ${STATUS}
+exit ${RETURN_STATUS}